/*==========================================================================;
 *
 *  Copyright (C) 1995-2001 Microsoft Corporation.  All Rights Reserved.
 *
 *  File:       idirect3dsurface8.cpp
 *  Content:    Direct3D capabilities include file
 *
 ***************************************************************************/
#include "d3dprj.h"

BIDirect3DSurface8::BIDirect3DSurface8(IDirect3DDevice8 *pDevice, int Width, int Height, D3DFORMAT fmt, D3DMULTISAMPLE_TYPE mstype, BOOL Lockable) :
m_pDevice(pDevice), m_Width(Width), m_Height(Height), m_Format(fmt), m_mstype(mstype), m_refCount(0)
{
	
}
ULONG BIDirect3DSurface8::AddRef()
{
	m_refCount++;
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::FreePrivateData(REFGUID refguid)
{
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::GetPrivateData(REFGUID refguid, void *pData, DWORD *pSizeOfData)
{
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::LockRect(D3DLOCKED_RECT *pLockedRect, CONST RECT *pRect, DWORD Flags)
{
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::QueryInterface(REFIID riid, void **ppvObj)
{
	*ppvObj = 0;
	return D3D_OK;
}

ULONG BIDirect3DSurface8::Release()
{
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::SetPrivateData(REFGUID refguid, CONST void *pData, DWORD SizeOfData, DWORD Flags)
{
	return D3D_OK;
}

HRESULT BIDirect3DSurface8::UnlockRect()
{
	return D3D_OK;
}

HRESULT 
BIDirect3DSurface8::GetDevice(IDirect3DDevice8 **ppDevice)
{
	m_pDevice->AddRef();
	*ppDevice = m_pDevice;
	return D3D_OK;
}

HRESULT
BIDirect3DSurface8::GetContainer(REFIID iid, void **ppContainer)
{
	* ppContainer = 0;
	return D3D_OK;
}

HRESULT
BIDirect3DSurface8::GetDesc(D3DSURFACE_DESC *pDesc)
{
	memset(pDesc, 0, sizeof(D3DSURFACE_DESC));
	pDesc->Format = this->m_Format;
	pDesc->Height = this->m_Height;
	pDesc->Width = this->m_Width;
	pDesc->MultiSampleType = this->m_mstype;
	return D3D_OK;
}
	



/**/

